IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network244.8.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
244.8.0.0- Broadcast address
244.15.255.255- First usable
244.8.0.1- Last usable
244.15.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F4080000· Integer4094164992to4094689279 - Reverse DNS zones
8.244.in-addr.arpa9.244.in-addr.arpa10.244.in-addr.arpa11.244.in-addr.arpa12.244.in-addr.arpa13.244.in-addr.arpa14.244.in-addr.arpa15.244.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110100.00001000.00000000.00000000 | 244.8.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 11110100.00001000.00000000.00000000 | 244.8.0.0 |
| Broadcast | 11110100.00001111.11111111.11111111 | 244.15.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
244.8.0.0/13 makes 256 subnets of /21.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 244.8.0.0/21 | 244.8.0.1 to 244.8.7.254 | 244.8.7.255 | 2,046 |
| 2 | 244.8.8.0/21 | 244.8.8.1 to 244.8.15.254 | 244.8.15.255 | 2,046 |
| 3 | 244.8.16.0/21 | 244.8.16.1 to 244.8.23.254 | 244.8.23.255 | 2,046 |
| 4 | 244.8.24.0/21 | 244.8.24.1 to 244.8.31.254 | 244.8.31.255 | 2,046 |
| 5 | 244.8.32.0/21 | 244.8.32.1 to 244.8.39.254 | 244.8.39.255 | 2,046 |
| 6 | 244.8.40.0/21 | 244.8.40.1 to 244.8.47.254 | 244.8.47.255 | 2,046 |
| 7 | 244.8.48.0/21 | 244.8.48.1 to 244.8.55.254 | 244.8.55.255 | 2,046 |
| 8 | 244.8.56.0/21 | 244.8.56.1 to 244.8.63.254 | 244.8.63.255 | 2,046 |
| 9 | 244.8.64.0/21 | 244.8.64.1 to 244.8.71.254 | 244.8.71.255 | 2,046 |
| 10 | 244.8.72.0/21 | 244.8.72.1 to 244.8.79.254 | 244.8.79.255 | 2,046 |
| 11 | 244.8.80.0/21 | 244.8.80.1 to 244.8.87.254 | 244.8.87.255 | 2,046 |
| 12 | 244.8.88.0/21 | 244.8.88.1 to 244.8.95.254 | 244.8.95.255 | 2,046 |
| 13 | 244.8.96.0/21 | 244.8.96.1 to 244.8.103.254 | 244.8.103.255 | 2,046 |
| 14 | 244.8.104.0/21 | 244.8.104.1 to 244.8.111.254 | 244.8.111.255 | 2,046 |
| 15 | 244.8.112.0/21 | 244.8.112.1 to 244.8.119.254 | 244.8.119.255 | 2,046 |
| 16 | 244.8.120.0/21 | 244.8.120.1 to 244.8.127.254 | 244.8.127.255 | 2,046 |
| 17 | 244.8.128.0/21 | 244.8.128.1 to 244.8.135.254 | 244.8.135.255 | 2,046 |
| 18 | 244.8.136.0/21 | 244.8.136.1 to 244.8.143.254 | 244.8.143.255 | 2,046 |
| 19 | 244.8.144.0/21 | 244.8.144.1 to 244.8.151.254 | 244.8.151.255 | 2,046 |
| 20 | 244.8.152.0/21 | 244.8.152.1 to 244.8.159.254 | 244.8.159.255 | 2,046 |
| 21 | 244.8.160.0/21 | 244.8.160.1 to 244.8.167.254 | 244.8.167.255 | 2,046 |
| 22 | 244.8.168.0/21 | 244.8.168.1 to 244.8.175.254 | 244.8.175.255 | 2,046 |
| 23 | 244.8.176.0/21 | 244.8.176.1 to 244.8.183.254 | 244.8.183.255 | 2,046 |
| 24 | 244.8.184.0/21 | 244.8.184.1 to 244.8.191.254 | 244.8.191.255 | 2,046 |
| 25 | 244.8.192.0/21 | 244.8.192.1 to 244.8.199.254 | 244.8.199.255 | 2,046 |
| 26 | 244.8.200.0/21 | 244.8.200.1 to 244.8.207.254 | 244.8.207.255 | 2,046 |
| 27 | 244.8.208.0/21 | 244.8.208.1 to 244.8.215.254 | 244.8.215.255 | 2,046 |
| 28 | 244.8.216.0/21 | 244.8.216.1 to 244.8.223.254 | 244.8.223.255 | 2,046 |
| 29 | 244.8.224.0/21 | 244.8.224.1 to 244.8.231.254 | 244.8.231.255 | 2,046 |
| 30 | 244.8.232.0/21 | 244.8.232.1 to 244.8.239.254 | 244.8.239.255 | 2,046 |
| 31 | 244.8.240.0/21 | 244.8.240.1 to 244.8.247.254 | 244.8.247.255 | 2,046 |
| 32 | 244.8.248.0/21 | 244.8.248.1 to 244.8.255.254 | 244.8.255.255 | 2,046 |
| 33 | 244.9.0.0/21 | 244.9.0.1 to 244.9.7.254 | 244.9.7.255 | 2,046 |
| 34 | 244.9.8.0/21 | 244.9.8.1 to 244.9.15.254 | 244.9.15.255 | 2,046 |
| 35 | 244.9.16.0/21 | 244.9.16.1 to 244.9.23.254 | 244.9.23.255 | 2,046 |
| 36 | 244.9.24.0/21 | 244.9.24.1 to 244.9.31.254 | 244.9.31.255 | 2,046 |
| 37 | 244.9.32.0/21 | 244.9.32.1 to 244.9.39.254 | 244.9.39.255 | 2,046 |
| 38 | 244.9.40.0/21 | 244.9.40.1 to 244.9.47.254 | 244.9.47.255 | 2,046 |
| 39 | 244.9.48.0/21 | 244.9.48.1 to 244.9.55.254 | 244.9.55.255 | 2,046 |
| 40 | 244.9.56.0/21 | 244.9.56.1 to 244.9.63.254 | 244.9.63.255 | 2,046 |
| 41 | 244.9.64.0/21 | 244.9.64.1 to 244.9.71.254 | 244.9.71.255 | 2,046 |
| 42 | 244.9.72.0/21 | 244.9.72.1 to 244.9.79.254 | 244.9.79.255 | 2,046 |
| 43 | 244.9.80.0/21 | 244.9.80.1 to 244.9.87.254 | 244.9.87.255 | 2,046 |
| 44 | 244.9.88.0/21 | 244.9.88.1 to 244.9.95.254 | 244.9.95.255 | 2,046 |
| 45 | 244.9.96.0/21 | 244.9.96.1 to 244.9.103.254 | 244.9.103.255 | 2,046 |
| 46 | 244.9.104.0/21 | 244.9.104.1 to 244.9.111.254 | 244.9.111.255 | 2,046 |
| 47 | 244.9.112.0/21 | 244.9.112.1 to 244.9.119.254 | 244.9.119.255 | 2,046 |
| 48 | 244.9.120.0/21 | 244.9.120.1 to 244.9.127.254 | 244.9.127.255 | 2,046 |
| 49 | 244.9.128.0/21 | 244.9.128.1 to 244.9.135.254 | 244.9.135.255 | 2,046 |
| 50 | 244.9.136.0/21 | 244.9.136.1 to 244.9.143.254 | 244.9.143.255 | 2,046 |
| 51 | 244.9.144.0/21 | 244.9.144.1 to 244.9.151.254 | 244.9.151.255 | 2,046 |
| 52 | 244.9.152.0/21 | 244.9.152.1 to 244.9.159.254 | 244.9.159.255 | 2,046 |
| 53 | 244.9.160.0/21 | 244.9.160.1 to 244.9.167.254 | 244.9.167.255 | 2,046 |
| 54 | 244.9.168.0/21 | 244.9.168.1 to 244.9.175.254 | 244.9.175.255 | 2,046 |
| 55 | 244.9.176.0/21 | 244.9.176.1 to 244.9.183.254 | 244.9.183.255 | 2,046 |
| 56 | 244.9.184.0/21 | 244.9.184.1 to 244.9.191.254 | 244.9.191.255 | 2,046 |
| 57 | 244.9.192.0/21 | 244.9.192.1 to 244.9.199.254 | 244.9.199.255 | 2,046 |
| 58 | 244.9.200.0/21 | 244.9.200.1 to 244.9.207.254 | 244.9.207.255 | 2,046 |
| 59 | 244.9.208.0/21 | 244.9.208.1 to 244.9.215.254 | 244.9.215.255 | 2,046 |
| 60 | 244.9.216.0/21 | 244.9.216.1 to 244.9.223.254 | 244.9.223.255 | 2,046 |
| 61 | 244.9.224.0/21 | 244.9.224.1 to 244.9.231.254 | 244.9.231.255 | 2,046 |
| 62 | 244.9.232.0/21 | 244.9.232.1 to 244.9.239.254 | 244.9.239.255 | 2,046 |
| 63 | 244.9.240.0/21 | 244.9.240.1 to 244.9.247.254 | 244.9.247.255 | 2,046 |
| 64 | 244.9.248.0/21 | 244.9.248.1 to 244.9.255.254 | 244.9.255.255 | 2,046 |
| 65 | 244.10.0.0/21 | 244.10.0.1 to 244.10.7.254 | 244.10.7.255 | 2,046 |
| 66 | 244.10.8.0/21 | 244.10.8.1 to 244.10.15.254 | 244.10.15.255 | 2,046 |
| 67 | 244.10.16.0/21 | 244.10.16.1 to 244.10.23.254 | 244.10.23.255 | 2,046 |
| 68 | 244.10.24.0/21 | 244.10.24.1 to 244.10.31.254 | 244.10.31.255 | 2,046 |
| 69 | 244.10.32.0/21 | 244.10.32.1 to 244.10.39.254 | 244.10.39.255 | 2,046 |
| 70 | 244.10.40.0/21 | 244.10.40.1 to 244.10.47.254 | 244.10.47.255 | 2,046 |
| 71 | 244.10.48.0/21 | 244.10.48.1 to 244.10.55.254 | 244.10.55.255 | 2,046 |
| 72 | 244.10.56.0/21 | 244.10.56.1 to 244.10.63.254 | 244.10.63.255 | 2,046 |
| 73 | 244.10.64.0/21 | 244.10.64.1 to 244.10.71.254 | 244.10.71.255 | 2,046 |
| 74 | 244.10.72.0/21 | 244.10.72.1 to 244.10.79.254 | 244.10.79.255 | 2,046 |
| 75 | 244.10.80.0/21 | 244.10.80.1 to 244.10.87.254 | 244.10.87.255 | 2,046 |
| 76 | 244.10.88.0/21 | 244.10.88.1 to 244.10.95.254 | 244.10.95.255 | 2,046 |
| 77 | 244.10.96.0/21 | 244.10.96.1 to 244.10.103.254 | 244.10.103.255 | 2,046 |
| 78 | 244.10.104.0/21 | 244.10.104.1 to 244.10.111.254 | 244.10.111.255 | 2,046 |
| 79 | 244.10.112.0/21 | 244.10.112.1 to 244.10.119.254 | 244.10.119.255 | 2,046 |
| 80 | 244.10.120.0/21 | 244.10.120.1 to 244.10.127.254 | 244.10.127.255 | 2,046 |
| 81 | 244.10.128.0/21 | 244.10.128.1 to 244.10.135.254 | 244.10.135.255 | 2,046 |
| 82 | 244.10.136.0/21 | 244.10.136.1 to 244.10.143.254 | 244.10.143.255 | 2,046 |
| 83 | 244.10.144.0/21 | 244.10.144.1 to 244.10.151.254 | 244.10.151.255 | 2,046 |
| 84 | 244.10.152.0/21 | 244.10.152.1 to 244.10.159.254 | 244.10.159.255 | 2,046 |
| 85 | 244.10.160.0/21 | 244.10.160.1 to 244.10.167.254 | 244.10.167.255 | 2,046 |
| 86 | 244.10.168.0/21 | 244.10.168.1 to 244.10.175.254 | 244.10.175.255 | 2,046 |
| 87 | 244.10.176.0/21 | 244.10.176.1 to 244.10.183.254 | 244.10.183.255 | 2,046 |
| 88 | 244.10.184.0/21 | 244.10.184.1 to 244.10.191.254 | 244.10.191.255 | 2,046 |
| 89 | 244.10.192.0/21 | 244.10.192.1 to 244.10.199.254 | 244.10.199.255 | 2,046 |
| 90 | 244.10.200.0/21 | 244.10.200.1 to 244.10.207.254 | 244.10.207.255 | 2,046 |
| 91 | 244.10.208.0/21 | 244.10.208.1 to 244.10.215.254 | 244.10.215.255 | 2,046 |
| 92 | 244.10.216.0/21 | 244.10.216.1 to 244.10.223.254 | 244.10.223.255 | 2,046 |
| 93 | 244.10.224.0/21 | 244.10.224.1 to 244.10.231.254 | 244.10.231.255 | 2,046 |
| 94 | 244.10.232.0/21 | 244.10.232.1 to 244.10.239.254 | 244.10.239.255 | 2,046 |
| 95 | 244.10.240.0/21 | 244.10.240.1 to 244.10.247.254 | 244.10.247.255 | 2,046 |
| 96 | 244.10.248.0/21 | 244.10.248.1 to 244.10.255.254 | 244.10.255.255 | 2,046 |
| 97 | 244.11.0.0/21 | 244.11.0.1 to 244.11.7.254 | 244.11.7.255 | 2,046 |
| 98 | 244.11.8.0/21 | 244.11.8.1 to 244.11.15.254 | 244.11.15.255 | 2,046 |
| 99 | 244.11.16.0/21 | 244.11.16.1 to 244.11.23.254 | 244.11.23.255 | 2,046 |
| 100 | 244.11.24.0/21 | 244.11.24.1 to 244.11.31.254 | 244.11.31.255 | 2,046 |
| 101 | 244.11.32.0/21 | 244.11.32.1 to 244.11.39.254 | 244.11.39.255 | 2,046 |
| 102 | 244.11.40.0/21 | 244.11.40.1 to 244.11.47.254 | 244.11.47.255 | 2,046 |
| 103 | 244.11.48.0/21 | 244.11.48.1 to 244.11.55.254 | 244.11.55.255 | 2,046 |
| 104 | 244.11.56.0/21 | 244.11.56.1 to 244.11.63.254 | 244.11.63.255 | 2,046 |
| 105 | 244.11.64.0/21 | 244.11.64.1 to 244.11.71.254 | 244.11.71.255 | 2,046 |
| 106 | 244.11.72.0/21 | 244.11.72.1 to 244.11.79.254 | 244.11.79.255 | 2,046 |
| 107 | 244.11.80.0/21 | 244.11.80.1 to 244.11.87.254 | 244.11.87.255 | 2,046 |
| 108 | 244.11.88.0/21 | 244.11.88.1 to 244.11.95.254 | 244.11.95.255 | 2,046 |
| 109 | 244.11.96.0/21 | 244.11.96.1 to 244.11.103.254 | 244.11.103.255 | 2,046 |
| 110 | 244.11.104.0/21 | 244.11.104.1 to 244.11.111.254 | 244.11.111.255 | 2,046 |
| 111 | 244.11.112.0/21 | 244.11.112.1 to 244.11.119.254 | 244.11.119.255 | 2,046 |
| 112 | 244.11.120.0/21 | 244.11.120.1 to 244.11.127.254 | 244.11.127.255 | 2,046 |
| 113 | 244.11.128.0/21 | 244.11.128.1 to 244.11.135.254 | 244.11.135.255 | 2,046 |
| 114 | 244.11.136.0/21 | 244.11.136.1 to 244.11.143.254 | 244.11.143.255 | 2,046 |
| 115 | 244.11.144.0/21 | 244.11.144.1 to 244.11.151.254 | 244.11.151.255 | 2,046 |
| 116 | 244.11.152.0/21 | 244.11.152.1 to 244.11.159.254 | 244.11.159.255 | 2,046 |
| 117 | 244.11.160.0/21 | 244.11.160.1 to 244.11.167.254 | 244.11.167.255 | 2,046 |
| 118 | 244.11.168.0/21 | 244.11.168.1 to 244.11.175.254 | 244.11.175.255 | 2,046 |
| 119 | 244.11.176.0/21 | 244.11.176.1 to 244.11.183.254 | 244.11.183.255 | 2,046 |
| 120 | 244.11.184.0/21 | 244.11.184.1 to 244.11.191.254 | 244.11.191.255 | 2,046 |
| 121 | 244.11.192.0/21 | 244.11.192.1 to 244.11.199.254 | 244.11.199.255 | 2,046 |
| 122 | 244.11.200.0/21 | 244.11.200.1 to 244.11.207.254 | 244.11.207.255 | 2,046 |
| 123 | 244.11.208.0/21 | 244.11.208.1 to 244.11.215.254 | 244.11.215.255 | 2,046 |
| 124 | 244.11.216.0/21 | 244.11.216.1 to 244.11.223.254 | 244.11.223.255 | 2,046 |
| 125 | 244.11.224.0/21 | 244.11.224.1 to 244.11.231.254 | 244.11.231.255 | 2,046 |
| 126 | 244.11.232.0/21 | 244.11.232.1 to 244.11.239.254 | 244.11.239.255 | 2,046 |
| 127 | 244.11.240.0/21 | 244.11.240.1 to 244.11.247.254 | 244.11.247.255 | 2,046 |
| 128 | 244.11.248.0/21 | 244.11.248.1 to 244.11.255.254 | 244.11.255.255 | 2,046 |
| 129 | 244.12.0.0/21 | 244.12.0.1 to 244.12.7.254 | 244.12.7.255 | 2,046 |
| 130 | 244.12.8.0/21 | 244.12.8.1 to 244.12.15.254 | 244.12.15.255 | 2,046 |
| 131 | 244.12.16.0/21 | 244.12.16.1 to 244.12.23.254 | 244.12.23.255 | 2,046 |
| 132 | 244.12.24.0/21 | 244.12.24.1 to 244.12.31.254 | 244.12.31.255 | 2,046 |
| 133 | 244.12.32.0/21 | 244.12.32.1 to 244.12.39.254 | 244.12.39.255 | 2,046 |
| 134 | 244.12.40.0/21 | 244.12.40.1 to 244.12.47.254 | 244.12.47.255 | 2,046 |
| 135 | 244.12.48.0/21 | 244.12.48.1 to 244.12.55.254 | 244.12.55.255 | 2,046 |
| 136 | 244.12.56.0/21 | 244.12.56.1 to 244.12.63.254 | 244.12.63.255 | 2,046 |
| 137 | 244.12.64.0/21 | 244.12.64.1 to 244.12.71.254 | 244.12.71.255 | 2,046 |
| 138 | 244.12.72.0/21 | 244.12.72.1 to 244.12.79.254 | 244.12.79.255 | 2,046 |
| 139 | 244.12.80.0/21 | 244.12.80.1 to 244.12.87.254 | 244.12.87.255 | 2,046 |
| 140 | 244.12.88.0/21 | 244.12.88.1 to 244.12.95.254 | 244.12.95.255 | 2,046 |
| 141 | 244.12.96.0/21 | 244.12.96.1 to 244.12.103.254 | 244.12.103.255 | 2,046 |
| 142 | 244.12.104.0/21 | 244.12.104.1 to 244.12.111.254 | 244.12.111.255 | 2,046 |
| 143 | 244.12.112.0/21 | 244.12.112.1 to 244.12.119.254 | 244.12.119.255 | 2,046 |
| 144 | 244.12.120.0/21 | 244.12.120.1 to 244.12.127.254 | 244.12.127.255 | 2,046 |
| 145 | 244.12.128.0/21 | 244.12.128.1 to 244.12.135.254 | 244.12.135.255 | 2,046 |
| 146 | 244.12.136.0/21 | 244.12.136.1 to 244.12.143.254 | 244.12.143.255 | 2,046 |
| 147 | 244.12.144.0/21 | 244.12.144.1 to 244.12.151.254 | 244.12.151.255 | 2,046 |
| 148 | 244.12.152.0/21 | 244.12.152.1 to 244.12.159.254 | 244.12.159.255 | 2,046 |
| 149 | 244.12.160.0/21 | 244.12.160.1 to 244.12.167.254 | 244.12.167.255 | 2,046 |
| 150 | 244.12.168.0/21 | 244.12.168.1 to 244.12.175.254 | 244.12.175.255 | 2,046 |
| 151 | 244.12.176.0/21 | 244.12.176.1 to 244.12.183.254 | 244.12.183.255 | 2,046 |
| 152 | 244.12.184.0/21 | 244.12.184.1 to 244.12.191.254 | 244.12.191.255 | 2,046 |
| 153 | 244.12.192.0/21 | 244.12.192.1 to 244.12.199.254 | 244.12.199.255 | 2,046 |
| 154 | 244.12.200.0/21 | 244.12.200.1 to 244.12.207.254 | 244.12.207.255 | 2,046 |
| 155 | 244.12.208.0/21 | 244.12.208.1 to 244.12.215.254 | 244.12.215.255 | 2,046 |
| 156 | 244.12.216.0/21 | 244.12.216.1 to 244.12.223.254 | 244.12.223.255 | 2,046 |
| 157 | 244.12.224.0/21 | 244.12.224.1 to 244.12.231.254 | 244.12.231.255 | 2,046 |
| 158 | 244.12.232.0/21 | 244.12.232.1 to 244.12.239.254 | 244.12.239.255 | 2,046 |
| 159 | 244.12.240.0/21 | 244.12.240.1 to 244.12.247.254 | 244.12.247.255 | 2,046 |
| 160 | 244.12.248.0/21 | 244.12.248.1 to 244.12.255.254 | 244.12.255.255 | 2,046 |
| 161 | 244.13.0.0/21 | 244.13.0.1 to 244.13.7.254 | 244.13.7.255 | 2,046 |
| 162 | 244.13.8.0/21 | 244.13.8.1 to 244.13.15.254 | 244.13.15.255 | 2,046 |
| 163 | 244.13.16.0/21 | 244.13.16.1 to 244.13.23.254 | 244.13.23.255 | 2,046 |
| 164 | 244.13.24.0/21 | 244.13.24.1 to 244.13.31.254 | 244.13.31.255 | 2,046 |
| 165 | 244.13.32.0/21 | 244.13.32.1 to 244.13.39.254 | 244.13.39.255 | 2,046 |
| 166 | 244.13.40.0/21 | 244.13.40.1 to 244.13.47.254 | 244.13.47.255 | 2,046 |
| 167 | 244.13.48.0/21 | 244.13.48.1 to 244.13.55.254 | 244.13.55.255 | 2,046 |
| 168 | 244.13.56.0/21 | 244.13.56.1 to 244.13.63.254 | 244.13.63.255 | 2,046 |
| 169 | 244.13.64.0/21 | 244.13.64.1 to 244.13.71.254 | 244.13.71.255 | 2,046 |
| 170 | 244.13.72.0/21 | 244.13.72.1 to 244.13.79.254 | 244.13.79.255 | 2,046 |
| 171 | 244.13.80.0/21 | 244.13.80.1 to 244.13.87.254 | 244.13.87.255 | 2,046 |
| 172 | 244.13.88.0/21 | 244.13.88.1 to 244.13.95.254 | 244.13.95.255 | 2,046 |
| 173 | 244.13.96.0/21 | 244.13.96.1 to 244.13.103.254 | 244.13.103.255 | 2,046 |
| 174 | 244.13.104.0/21 | 244.13.104.1 to 244.13.111.254 | 244.13.111.255 | 2,046 |
| 175 | 244.13.112.0/21 | 244.13.112.1 to 244.13.119.254 | 244.13.119.255 | 2,046 |
| 176 | 244.13.120.0/21 | 244.13.120.1 to 244.13.127.254 | 244.13.127.255 | 2,046 |
| 177 | 244.13.128.0/21 | 244.13.128.1 to 244.13.135.254 | 244.13.135.255 | 2,046 |
| 178 | 244.13.136.0/21 | 244.13.136.1 to 244.13.143.254 | 244.13.143.255 | 2,046 |
| 179 | 244.13.144.0/21 | 244.13.144.1 to 244.13.151.254 | 244.13.151.255 | 2,046 |
| 180 | 244.13.152.0/21 | 244.13.152.1 to 244.13.159.254 | 244.13.159.255 | 2,046 |
| 181 | 244.13.160.0/21 | 244.13.160.1 to 244.13.167.254 | 244.13.167.255 | 2,046 |
| 182 | 244.13.168.0/21 | 244.13.168.1 to 244.13.175.254 | 244.13.175.255 | 2,046 |
| 183 | 244.13.176.0/21 | 244.13.176.1 to 244.13.183.254 | 244.13.183.255 | 2,046 |
| 184 | 244.13.184.0/21 | 244.13.184.1 to 244.13.191.254 | 244.13.191.255 | 2,046 |
| 185 | 244.13.192.0/21 | 244.13.192.1 to 244.13.199.254 | 244.13.199.255 | 2,046 |
| 186 | 244.13.200.0/21 | 244.13.200.1 to 244.13.207.254 | 244.13.207.255 | 2,046 |
| 187 | 244.13.208.0/21 | 244.13.208.1 to 244.13.215.254 | 244.13.215.255 | 2,046 |
| 188 | 244.13.216.0/21 | 244.13.216.1 to 244.13.223.254 | 244.13.223.255 | 2,046 |
| 189 | 244.13.224.0/21 | 244.13.224.1 to 244.13.231.254 | 244.13.231.255 | 2,046 |
| 190 | 244.13.232.0/21 | 244.13.232.1 to 244.13.239.254 | 244.13.239.255 | 2,046 |
| 191 | 244.13.240.0/21 | 244.13.240.1 to 244.13.247.254 | 244.13.247.255 | 2,046 |
| 192 | 244.13.248.0/21 | 244.13.248.1 to 244.13.255.254 | 244.13.255.255 | 2,046 |
| 193 | 244.14.0.0/21 | 244.14.0.1 to 244.14.7.254 | 244.14.7.255 | 2,046 |
| 194 | 244.14.8.0/21 | 244.14.8.1 to 244.14.15.254 | 244.14.15.255 | 2,046 |
| 195 | 244.14.16.0/21 | 244.14.16.1 to 244.14.23.254 | 244.14.23.255 | 2,046 |
| 196 | 244.14.24.0/21 | 244.14.24.1 to 244.14.31.254 | 244.14.31.255 | 2,046 |
| 197 | 244.14.32.0/21 | 244.14.32.1 to 244.14.39.254 | 244.14.39.255 | 2,046 |
| 198 | 244.14.40.0/21 | 244.14.40.1 to 244.14.47.254 | 244.14.47.255 | 2,046 |
| 199 | 244.14.48.0/21 | 244.14.48.1 to 244.14.55.254 | 244.14.55.255 | 2,046 |
| 200 | 244.14.56.0/21 | 244.14.56.1 to 244.14.63.254 | 244.14.63.255 | 2,046 |
| 201 | 244.14.64.0/21 | 244.14.64.1 to 244.14.71.254 | 244.14.71.255 | 2,046 |
| 202 | 244.14.72.0/21 | 244.14.72.1 to 244.14.79.254 | 244.14.79.255 | 2,046 |
| 203 | 244.14.80.0/21 | 244.14.80.1 to 244.14.87.254 | 244.14.87.255 | 2,046 |
| 204 | 244.14.88.0/21 | 244.14.88.1 to 244.14.95.254 | 244.14.95.255 | 2,046 |
| 205 | 244.14.96.0/21 | 244.14.96.1 to 244.14.103.254 | 244.14.103.255 | 2,046 |
| 206 | 244.14.104.0/21 | 244.14.104.1 to 244.14.111.254 | 244.14.111.255 | 2,046 |
| 207 | 244.14.112.0/21 | 244.14.112.1 to 244.14.119.254 | 244.14.119.255 | 2,046 |
| 208 | 244.14.120.0/21 | 244.14.120.1 to 244.14.127.254 | 244.14.127.255 | 2,046 |
| 209 | 244.14.128.0/21 | 244.14.128.1 to 244.14.135.254 | 244.14.135.255 | 2,046 |
| 210 | 244.14.136.0/21 | 244.14.136.1 to 244.14.143.254 | 244.14.143.255 | 2,046 |
| 211 | 244.14.144.0/21 | 244.14.144.1 to 244.14.151.254 | 244.14.151.255 | 2,046 |
| 212 | 244.14.152.0/21 | 244.14.152.1 to 244.14.159.254 | 244.14.159.255 | 2,046 |
| 213 | 244.14.160.0/21 | 244.14.160.1 to 244.14.167.254 | 244.14.167.255 | 2,046 |
| 214 | 244.14.168.0/21 | 244.14.168.1 to 244.14.175.254 | 244.14.175.255 | 2,046 |
| 215 | 244.14.176.0/21 | 244.14.176.1 to 244.14.183.254 | 244.14.183.255 | 2,046 |
| 216 | 244.14.184.0/21 | 244.14.184.1 to 244.14.191.254 | 244.14.191.255 | 2,046 |
| 217 | 244.14.192.0/21 | 244.14.192.1 to 244.14.199.254 | 244.14.199.255 | 2,046 |
| 218 | 244.14.200.0/21 | 244.14.200.1 to 244.14.207.254 | 244.14.207.255 | 2,046 |
| 219 | 244.14.208.0/21 | 244.14.208.1 to 244.14.215.254 | 244.14.215.255 | 2,046 |
| 220 | 244.14.216.0/21 | 244.14.216.1 to 244.14.223.254 | 244.14.223.255 | 2,046 |
| 221 | 244.14.224.0/21 | 244.14.224.1 to 244.14.231.254 | 244.14.231.255 | 2,046 |
| 222 | 244.14.232.0/21 | 244.14.232.1 to 244.14.239.254 | 244.14.239.255 | 2,046 |
| 223 | 244.14.240.0/21 | 244.14.240.1 to 244.14.247.254 | 244.14.247.255 | 2,046 |
| 224 | 244.14.248.0/21 | 244.14.248.1 to 244.14.255.254 | 244.14.255.255 | 2,046 |
| 225 | 244.15.0.0/21 | 244.15.0.1 to 244.15.7.254 | 244.15.7.255 | 2,046 |
| 226 | 244.15.8.0/21 | 244.15.8.1 to 244.15.15.254 | 244.15.15.255 | 2,046 |
| 227 | 244.15.16.0/21 | 244.15.16.1 to 244.15.23.254 | 244.15.23.255 | 2,046 |
| 228 | 244.15.24.0/21 | 244.15.24.1 to 244.15.31.254 | 244.15.31.255 | 2,046 |
| 229 | 244.15.32.0/21 | 244.15.32.1 to 244.15.39.254 | 244.15.39.255 | 2,046 |
| 230 | 244.15.40.0/21 | 244.15.40.1 to 244.15.47.254 | 244.15.47.255 | 2,046 |
| 231 | 244.15.48.0/21 | 244.15.48.1 to 244.15.55.254 | 244.15.55.255 | 2,046 |
| 232 | 244.15.56.0/21 | 244.15.56.1 to 244.15.63.254 | 244.15.63.255 | 2,046 |
| 233 | 244.15.64.0/21 | 244.15.64.1 to 244.15.71.254 | 244.15.71.255 | 2,046 |
| 234 | 244.15.72.0/21 | 244.15.72.1 to 244.15.79.254 | 244.15.79.255 | 2,046 |
| 235 | 244.15.80.0/21 | 244.15.80.1 to 244.15.87.254 | 244.15.87.255 | 2,046 |
| 236 | 244.15.88.0/21 | 244.15.88.1 to 244.15.95.254 | 244.15.95.255 | 2,046 |
| 237 | 244.15.96.0/21 | 244.15.96.1 to 244.15.103.254 | 244.15.103.255 | 2,046 |
| 238 | 244.15.104.0/21 | 244.15.104.1 to 244.15.111.254 | 244.15.111.255 | 2,046 |
| 239 | 244.15.112.0/21 | 244.15.112.1 to 244.15.119.254 | 244.15.119.255 | 2,046 |
| 240 | 244.15.120.0/21 | 244.15.120.1 to 244.15.127.254 | 244.15.127.255 | 2,046 |
| 241 | 244.15.128.0/21 | 244.15.128.1 to 244.15.135.254 | 244.15.135.255 | 2,046 |
| 242 | 244.15.136.0/21 | 244.15.136.1 to 244.15.143.254 | 244.15.143.255 | 2,046 |
| 243 | 244.15.144.0/21 | 244.15.144.1 to 244.15.151.254 | 244.15.151.255 | 2,046 |
| 244 | 244.15.152.0/21 | 244.15.152.1 to 244.15.159.254 | 244.15.159.255 | 2,046 |
| 245 | 244.15.160.0/21 | 244.15.160.1 to 244.15.167.254 | 244.15.167.255 | 2,046 |
| 246 | 244.15.168.0/21 | 244.15.168.1 to 244.15.175.254 | 244.15.175.255 | 2,046 |
| 247 | 244.15.176.0/21 | 244.15.176.1 to 244.15.183.254 | 244.15.183.255 | 2,046 |
| 248 | 244.15.184.0/21 | 244.15.184.1 to 244.15.191.254 | 244.15.191.255 | 2,046 |
| 249 | 244.15.192.0/21 | 244.15.192.1 to 244.15.199.254 | 244.15.199.255 | 2,046 |
| 250 | 244.15.200.0/21 | 244.15.200.1 to 244.15.207.254 | 244.15.207.255 | 2,046 |
| 251 | 244.15.208.0/21 | 244.15.208.1 to 244.15.215.254 | 244.15.215.255 | 2,046 |
| 252 | 244.15.216.0/21 | 244.15.216.1 to 244.15.223.254 | 244.15.223.255 | 2,046 |
| 253 | 244.15.224.0/21 | 244.15.224.1 to 244.15.231.254 | 244.15.231.255 | 2,046 |
| 254 | 244.15.232.0/21 | 244.15.232.1 to 244.15.239.254 | 244.15.239.255 | 2,046 |
| 255 | 244.15.240.0/21 | 244.15.240.1 to 244.15.247.254 | 244.15.247.255 | 2,046 |
| 256 | 244.15.248.0/21 | 244.15.248.1 to 244.15.255.254 | 244.15.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |